package at.ac.uibk.gitsearch.service.dto;

/**
 * just contains a pair of a target string and the hit count.
 * @author Michael Breu
 *
 */
public class AutoCompleteEntry {
	private String target;
	private int hitCount;
	
	public AutoCompleteEntry(String target, int hitCount) {
		super();
		this.target = target;
		this.hitCount = hitCount;
	}

	public AutoCompleteEntry(String target) {
		super();
		this.target = target;
		this.hitCount = 1;
	}
	
	public AutoCompleteEntry() {
		// JSON
	}

	public void increaseHitCount() {
		this.hitCount++;
	}
	
	/**
	 * @return the target
	 */
	public String getTarget() {
		return target;
	}
	/**
	 * @return the hitCount
	 */
	public int getHitCount() {
		return hitCount;
	}

}